using System;
using System.Windows.Forms;
using System.Collections.Generic;
using System.IO;
using GTA;

namespace WeapFuncs
{
    public class WeapFuncs : Script
    {
	bool ReloadInVehicles;
	bool CrouchRelFix;
	bool SemiAutoShotgunBlindfire;
	bool ConsistentPistolBlindfireLoop;
	bool FullAutoCZ75;
	bool FullAutoStreetSweeper;
	bool SawnOffYeet;
	GTA.Object gunmodel = null;
	int Boolet = 0;
	int CurrEp = 0;
	GTA.Native.Pointer AnimPointer = 0.0;
        public WeapFuncs()
        {
            this.Tick += new EventHandler(this.ScriptCommunicationExample2_Tick);
	    LoadINI();
	}
	private void ScriptCommunicationExample2_Tick(object sender, EventArgs e)
        {
	    if (Player.Character.Exists()&&Player.Character !=null&&Player.Character.isAlive&&!Player.Character.isRagdoll&&!Player.Character.isGettingUp)
	    {
		CurrEp = GTA.Native.Function.Call<int>("GET_CURRENT_EPISODE");
		if (ReloadInVehicles == true)
		{
		if (Player.Character.Weapons.Current == Weapon.Handgun_Glock&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@handgun", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_glock", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@handgun", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_glock", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@handgun", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			gunmodel = World.CreateObject("w_glock", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@handgun", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		}
		if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@handgun", "reload")&&Player.Character.isSittingInVehicle())
		{
		    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@handgun", "reload", AnimPointer);
		    if (AnimPointer > 0.9&&gunmodel.Exists()&&gunmodel != null)
		    {
			GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@handgun", "reload",  1.0);
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.Handgun_DesertEagle&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@deagle", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_eagle", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@deagle", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_eagle", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@deagle", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			gunmodel = World.CreateObject("w_eagle", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@deagle", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		}
		if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@deagle", "reload")&&Player.Character.isSittingInVehicle())
		{
		    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@deagle", "reload", AnimPointer);
		    if (AnimPointer > 0.9&&gunmodel.Exists()&&gunmodel != null)
		    {
			GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@deagle", "reload",  1.0);
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.SMG_Uzi&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@uzi", "reload")&&Player.Character.isSittingInVehicle()&&(Player.Character.Weapons.Current.AmmoInClip == 0))
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@uzi");
			gunmodel = World.CreateObject("w_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@uzi");
			gunmodel = World.CreateObject("w_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@uzi");
			gunmodel = World.CreateObject("w_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.14f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.SMG_MP5&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@mp5k", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@mp5k");
			gunmodel = World.CreateObject("w_mp5", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@mp5k", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@mp5k");
			gunmodel = World.CreateObject("w_mp5", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@mp5k", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();

		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@mp5k");
			gunmodel = World.CreateObject("w_mp5", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.0f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@mp5k", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();

		    }
		}

		if (Player.Character.Weapons.Current == Weapon.Rifle_AK47&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@ak47", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@ak47");
			gunmodel = World.CreateObject("w_ak47", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.3f, 0.0f, -0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@ak47", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();

		    }
		}

		if (Player.Character.Weapons.Current == Weapon.Rifle_M4&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@ak47", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@ak47");
			gunmodel = World.CreateObject("w_m4", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.23f, 0.0f, -0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@ak47", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();

		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TLAD_Automatic9mm&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@cz75", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_e1_cz75", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.04f, -0.02f, -0.01f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@cz75", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_e1_cz75", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.04f, -0.02f, -0.01f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@cz75", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			gunmodel = World.CreateObject("w_e1_cz75", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.04f, -0.02f, -0.01f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@cz75", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		}
		if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@cz75", "reload")&&Player.Character.isSittingInVehicle())
		{
		    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@cz75", "reload", AnimPointer);
		    if (AnimPointer > 0.9&&gunmodel.Exists()&&gunmodel != null)
		    {
			GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@cz75", "reload",  1.0);
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TBOGT_Pistol44&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@44a", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_e2_44amag", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, -0.02f, -0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@44a", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			gunmodel = World.CreateObject("w_e2_44amag", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, -0.02f, -0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@44a", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			gunmodel = World.CreateObject("w_e2_44amag", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, -0.02f, -0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@44a", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
		    }
		}
		if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@44a", "reload")&&Player.Character.isSittingInVehicle())
		{
		    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@44a", "reload", AnimPointer);
		    if (AnimPointer > 0.9&&gunmodel.Exists()&&gunmodel != null)
		    {
			GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@44a", "reload",  1.0);
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TBOGT_AssaultSMG&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@p90", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@p90");
			gunmodel = World.CreateObject("w_e2_p90", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@p90", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@p90");
			gunmodel = World.CreateObject("w_e2_p90", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@p90", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@p90");
			gunmodel = World.CreateObject("w_e2_p90", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.0f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@p90", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TBOGT_GoldenSMG&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@gold_uzi", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebylow_conv", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "bl_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@gold_uzi");
			gunmodel = World.CreateObject("w_e2_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@gold_uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebytruck", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ds_aim_loop")||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyairtug", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebystd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyvan", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ds_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_big", "ds_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@gold_uzi");
			gunmodel = World.CreateObject("w_e2_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@gold_uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		    else if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop_1h") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop_1h"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@gold_uzi");
			gunmodel = World.CreateObject("w_e2_uzi", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.0f, 0.02f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@gold_uzi", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TBOGT_AdvancedMG&&!GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@m249", "reload")&&Player.Character.isSittingInVehicle()&&Player.Character.Weapons.Current.AmmoInClip == 0)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_spee", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyboat_stnd", "br_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "ps_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "bl_aim_loop") ||GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "veh@drivebyheli", "br_aim_loop"))
		    {
			AnimationSet rloadveh = new AnimationSet("gun@m249");
			gunmodel = World.CreateObject("w_e2_m249", Player.Character.Position);
			gunmodel.Collision = false;
			gunmodel.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.08f, 0.0f, 0.03f), Vector3.Zero);
			GTA.Native.Function.Call("TASK_PLAY_ANIM_UPPER_BODY", Player.Character, "reload", "gun@m249", 0.80, 0, 1, 0, 0, -1);
			Wait(10);
			Player.Character.Animation.WaitUntilFinished(rloadveh, "reload");
			gunmodel.Delete();

		    }
		}
		}

		if (CrouchRelFix == true&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@mp5k", "reload_crouch"))
		{
		    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@mp5k", "reload_crouch", AnimPointer);
		    if (AnimPointer > 0.6&&AnimPointer < 0.85)
		    {
			GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@mp5k", "reload_crouch", 0.9);
		    }
		}

		if (SemiAutoShotgunBlindfire == true &&(Player.Character.Weapons.Current == Weapon.Shotgun_Baretta || Player.Character.Weapons.Current == Weapon.TLAD_SawedOffShotgun || (Player.Character.Weapons.Current == Weapon.TLAD_AssaultShotgun&&FullAutoStreetSweeper == false) || Player.Character.Weapons.Current == Weapon.TBOGT_NormalShotgun || Player.Character.Weapons.Current == Weapon.TBOGT_ExplosiveShotgun))
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.34&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", 0.2);
			    }
			    if (AnimPointer > 0.77)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.34&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", 0.77);
			    }
			    if (AnimPointer > 0.77 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.41&&AnimPointer < 0.51)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", 0.25);
			    }
			    if (AnimPointer > 0.78)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.41&&AnimPointer < 0.51)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", 0.78);
			    }
			    if (AnimPointer > 0.78 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }

		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer < 0.27)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
			    }
			    if (AnimPointer > 0.33&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", 0.71);
			    }
			    if (AnimPointer > 0.73&&AnimPointer < 0.76&&Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack)&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", 0.24);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.33&&AnimPointer < 0.56)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer < 0.21)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
			    }
			    if (AnimPointer > 0.24&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.82&&AnimPointer < 0.9&&Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack)&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", 0.17);
			    }
			    if (AnimPointer > 0.84)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.24&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.33&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", 0.21);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.33&&AnimPointer < 0.56)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer < 0.25)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
			    }
			    if (AnimPointer > 0.3&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.69);
			    }
			    if (AnimPointer > 0.76&&AnimPointer < 0.9&&Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack)&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			    {
				Boolet = Player.Character.Weapons.Current.AmmoInClip;
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.23);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.3&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
		}

		if (Player.Character.Weapons.Current == Weapon.TLAD_AssaultShotgun&&FullAutoStreetSweeper == true)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.255&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", 0.2);
			    }
			    if (AnimPointer > 0.77)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.255&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", 0.77);
			    }
			    if (AnimPointer > 0.77 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.305&&AnimPointer < 0.51)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", 0.25);
			    }
			    if (AnimPointer > 0.78)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.305&&AnimPointer < 0.51)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", 0.78);
			    }
			    if (AnimPointer > 0.78 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }

		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.3&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", 0.73);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.3&&AnimPointer < 0.56)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.24&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", 0.725);
			    }
			    if (AnimPointer > 0.84)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.24&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.295&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", 0.25);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.295&&AnimPointer < 0.56)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.275&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.75);
			    }
			    if (AnimPointer > 0.76)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", AnimPointer);
			    if (AnimPointer > 0.275&&AnimPointer < 0.54)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.76 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
		}

		if (Player.Character.Weapons.Current == Weapon.Shotgun_Basic)
		{
		    if ((Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "shotgun_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", AnimPointer);
			if (AnimPointer > 0.67&&AnimPointer < 0.83)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "shotgun_blindfire", 0.83);
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "shotgun_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", AnimPointer);
			if (AnimPointer > 0.72&&AnimPointer < 0.82)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "shotgun_blindfire", 0.82);
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "shotgun_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", AnimPointer);
			if (AnimPointer > 0.68&&AnimPointer < 0.79)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "shotgun_blindfire", 0.79);
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "shotgun_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", AnimPointer);
			if (AnimPointer > 0.7&&AnimPointer < 0.79)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "shotgun_blindfire", 0.79);
			}
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TLAD_SawedOffShotgun&&SawnOffYeet == true)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@sawnoff", "fire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack)&&!Game.isGameKeyPressed(GameKey.Aim))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@sawnoff", "fire", AnimPointer);
			    if (AnimPointer > 0.72&&AnimPointer < 0.88)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@sawnoff", "fire", 0.7);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "gun@sawnoff", "fire_crouch"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack)&&!Game.isGameKeyPressed(GameKey.Aim))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@sawnoff", "fire_crouch", AnimPointer);
			    if (AnimPointer > 0.675&&AnimPointer < 0.88)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "gun@sawnoff", "fire_crouch", 0.655);
			    }
			}
		    }
		}

		if (Player.Character.Weapons.Current == Weapon.TLAD_Automatic9mm&&FullAutoCZ75 == true)
		{
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", 0.74);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", 0.76);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", 0.7);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", 0.725);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.18&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", 0.12);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.18&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    if (GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "pistol_blindfire"))
		    {
			if (Player.Character.Weapons.Current.AmmoInClip > 0&&Game.isGameKeyPressed(GameKey.Attack))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, true);
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", 0.74);
			    }
			    if (AnimPointer > 0.8)
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
			if (Player.Character.Weapons.Current.AmmoInClip < 1 || !Game.isGameKeyPressed(GameKey.Attack)|| !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "pistol_blindfire"))
			{
			    GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", AnimPointer);
			    if (AnimPointer > 0.15&&AnimPointer < 0.44)
			    {
				GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", 0.8);
			    }
			    if (AnimPointer > 0.8 || !GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "pistol_blindfire"))
			    {
				GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
			    }
			}
		    }
		    GTA.Native.Function.Call("FREEZE_CHAR_POSITION", Player.Character, false);
		}

		if (CurrEp == 2&&ConsistentPistolBlindfireLoop == true&&(FullAutoCZ75 == false || Player.Character.Weapons.Current != Weapon.TLAD_Automatic9mm))
		{
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.08&&AnimPointer < 0.12)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.24&&AnimPointer < 0.28&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", 0.66);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.11&&AnimPointer < 0.16)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.31&&AnimPointer < 0.36&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", 0.67);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.19&&AnimPointer < 0.22)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.31&&AnimPointer < 0.34)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", 0.69);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.17&&AnimPointer < 0.2)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.39&&AnimPointer < 0.43&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", 0.72);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.12&&AnimPointer < 0.16)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.32&&AnimPointer < 0.35&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", 0.68);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		}
		if (CurrEp < 2&&ConsistentPistolBlindfireLoop == true&&(FullAutoCZ75 == false || Player.Character.Weapons.Current != Weapon.TLAD_Automatic9mm))
		{
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_high_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.06&&AnimPointer < 0.11)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.23&&AnimPointer < 0.26&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_high_corner", "pistol_blindfire", 0.68);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_high_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.11&&AnimPointer < 0.15)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.26&&AnimPointer < 0.3&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_high_corner", "pistol_blindfire", 0.72);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_centre", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.08&&AnimPointer < 0.12)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.18&&AnimPointer < 0.22)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", 0.42);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.54&&AnimPointer < 0.58)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_centre", "pistol_blindfire", 0.32);
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_centre", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.06&&AnimPointer < 0.1)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.18&&AnimPointer < 0.22)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_centre", "pistol_blindfire", 0.64);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_l_low_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.04&&AnimPointer < 0.09)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.2&&AnimPointer < 0.24&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_l_low_corner", "pistol_blindfire", 0.6);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		    if ((Player.Character.Weapons.Current.AmmoInClip > 0 && Game.isGameKeyPressed(GameKey.Attack))&&GTA.Native.Function.Call<bool>("IS_CHAR_PLAYING_ANIM", Player.Character, "cover_r_low_corner", "pistol_blindfire"))
		    {
			GTA.Native.Function.Call("GET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", AnimPointer);
			if (AnimPointer > 0.06&&AnimPointer < 0.1)
			{
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
			if (AnimPointer > 0.19&&AnimPointer < 0.23&&(Boolet - Player.Character.Weapons.Current.AmmoInClip) == 1)
			{
			    GTA.Native.Function.Call("SET_CHAR_ANIM_CURRENT_TIME", Player.Character, "cover_r_low_corner", "pistol_blindfire", 0.62);
			    Boolet = Player.Character.Weapons.Current.AmmoInClip;
			}
		    }
		}
	    }
	}
	private void LoadINI()
	{
	    SettingsFile ini = SettingsFile.Open(Path.Combine("scripts", "WeapFuncs.ini"));
	    ini.Load();
	    ReloadInVehicles = ini.GetValueBool("ReloadInVehicles", "WEAPFUNCS", false);
	    CrouchRelFix = ini.GetValueBool("MP5ReloadCrouchFix", "WEAPFUNCS", false);
	    SemiAutoShotgunBlindfire = ini.GetValueBool("SemiAutoShotgunBlindfire", "WEAPFUNCS", false);
	    ConsistentPistolBlindfireLoop = ini.GetValueBool("ConsistentPistolBlindfireLoop", "WEAPFUNCS", false);
	    FullAutoCZ75 = ini.GetValueBool("FullAutoCZ75Blindfire", "WEAPFUNCS", false);
	    FullAutoStreetSweeper = ini.GetValueBool("FullAutoStreetSweeperBlindfire", "WEAPFUNCS", false);
	    SawnOffYeet = ini.GetValueBool("SawnOffFiresSecondShellImmediately", "WEAPFUNCS", false);
	}
    }
}  